LinuxQMISDK: omaDmFotaTlv Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
omaDmFotaTlv Struct Reference

## Data Fields
BYTE | state
BYTE | userInputReq
USHORT | userInputTimeout
ULONG | fwdloadsize
ULONG | fwloadComplete
USHORT | updateCompleteStatus
BYTE | severity
USHORT | versionlength
BYTE | version [256]
USHORT | namelength
BYTE | package_name [256]
USHORT | descriptionlength
BYTE | description [256]

## Detailed Description

This structure will hold the SwiOmaDmFota session parameters information.

Parameters

  state | 0x01 - No Firmware available 0x02 - Query Firmware Download 0x03 - Firmware Downloading 0x04 - Firmware downloaded 0x05 - Query Firmware Update 0x06 - Firmware updating 0x07 - Firmware updated
  user_input_req | - Bit mask of available user inputs 0x00 - No user input required.Informational indication 0x01 - Accept 0x02 - Reject
  user_input_timeout | Timeout for user input in minutes. A value of 0 means no time-out
  fw_dload_size | The size (in bytes) of the firmware update package
  fw_dload_complete | The number of bytes downloaded. Need to determine how often to send this message for progress bar notification. Every 500ms or 5% increment.
  update_complete_status | See table below.
  severity | 0x01 - Mandatory 0x02 - Optional
  versionlength | Length of FW Version string in bytes
  version | FW Version string in ASCII (Max 256 characters)
  namelength | Length Package Name string in bytes
  package_name | Package Name in UCS2 (Max 256 characters)
  descriptionlength | Length of description in bytes
  description | Description of Update Package in USC2 (Max 256 characters)

## Field Documentation

BYTE omaDmFotaTlv::description[256]

USHORT omaDmFotaTlv::descriptionlength

ULONG omaDmFotaTlv::fwdloadsize

ULONG omaDmFotaTlv::fwloadComplete

USHORT omaDmFotaTlv::namelength

BYTE omaDmFotaTlv::package_name[256]

BYTE omaDmFotaTlv::severity

BYTE omaDmFotaTlv::state

USHORT omaDmFotaTlv::updateCompleteStatus

BYTE omaDmFotaTlv::userInputReq

USHORT omaDmFotaTlv::userInputTimeout

BYTE omaDmFotaTlv::version[256]

USHORT omaDmFotaTlv::versionlength